GET api/AuthorizationDetail/GetAuthorizationDetail?q={q}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
q

string

Required

Body Parameters

None.

Response Information

Resource Description

AsapResponseOfListOfNTAuthorizationDetailsDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

Collection of NTAuthorizationDetailsDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": [
    {
      "RecordID": "6b03b63d-f205-4abb-bb9d-42f81a478adb",
      "FileByteArray": "QEA=",
      "FilePath": "sample string 2",
      "FileName": "sample string 3",
      "FileExtension": "sample string 4",
      "UserID": 5,
      "UserName": "sample string 6",
      "IsValid": true,
      "EntityID": "sample string 8",
      "EntityTypeID": 9,
      "AuthorizationCode": "sample string 10",
      "FileId": "sample string 11",
      "EmployeeId": "sample string 12",
      "ValidFlag": true,
      "IsDocumentEdit": true,
      "DateUpdated": "2026-08-04T02:10:02.1509755-07:00",
      "ExpirationDate": "2026-08-04T02:10:02.1509755-07:00",
      "ContractorCoverageTypeId": 1,
      "PayorId": 1,
      "ComponentList": [
        {
          "Id": 1,
          "ComponentId": 2,
          "ComponentName": "sample string 3",
          "Sequence": 4,
          "CaseNo": 5,
          "IsAuthorizationEnable": true,
          "AuthorizationType": 7,
          "MappingId": 1,
          "RecordId": "653396a5-5aa6-4d42-a093-ea38ba67b0de",
          "OrderCategoryTypeId": 1,
          "OrderCategoryTypeLevel1Id": "sample string 8",
          "OrderCategoryTypeLevel2Id": 1,
          "OrderCategoryTypeLevel3Id": 1,
          "Selected": true,
          "OrderDescription": "sample string 10",
          "ValidFlag": true,
          "DateCreated": "2026-08-04T02:10:02.1509755-07:00",
          "DateUpdated": "2026-08-04T02:10:02.1509755-07:00",
          "UserIDCreated": 14,
          "UserIDUpdated": 15
        },
        {
          "Id": 1,
          "ComponentId": 2,
          "ComponentName": "sample string 3",
          "Sequence": 4,
          "CaseNo": 5,
          "IsAuthorizationEnable": true,
          "AuthorizationType": 7,
          "MappingId": 1,
          "RecordId": "653396a5-5aa6-4d42-a093-ea38ba67b0de",
          "OrderCategoryTypeId": 1,
          "OrderCategoryTypeLevel1Id": "sample string 8",
          "OrderCategoryTypeLevel2Id": 1,
          "OrderCategoryTypeLevel3Id": 1,
          "Selected": true,
          "OrderDescription": "sample string 10",
          "ValidFlag": true,
          "DateCreated": "2026-08-04T02:10:02.1509755-07:00",
          "DateUpdated": "2026-08-04T02:10:02.1509755-07:00",
          "UserIDCreated": 14,
          "UserIDUpdated": 15
        }
      ]
    },
    {
      "RecordID": "6b03b63d-f205-4abb-bb9d-42f81a478adb",
      "FileByteArray": "QEA=",
      "FilePath": "sample string 2",
      "FileName": "sample string 3",
      "FileExtension": "sample string 4",
      "UserID": 5,
      "UserName": "sample string 6",
      "IsValid": true,
      "EntityID": "sample string 8",
      "EntityTypeID": 9,
      "AuthorizationCode": "sample string 10",
      "FileId": "sample string 11",
      "EmployeeId": "sample string 12",
      "ValidFlag": true,
      "IsDocumentEdit": true,
      "DateUpdated": "2026-08-04T02:10:02.1509755-07:00",
      "ExpirationDate": "2026-08-04T02:10:02.1509755-07:00",
      "ContractorCoverageTypeId": 1,
      "PayorId": 1,
      "ComponentList": [
        {
          "Id": 1,
          "ComponentId": 2,
          "ComponentName": "sample string 3",
          "Sequence": 4,
          "CaseNo": 5,
          "IsAuthorizationEnable": true,
          "AuthorizationType": 7,
          "MappingId": 1,
          "RecordId": "653396a5-5aa6-4d42-a093-ea38ba67b0de",
          "OrderCategoryTypeId": 1,
          "OrderCategoryTypeLevel1Id": "sample string 8",
          "OrderCategoryTypeLevel2Id": 1,
          "OrderCategoryTypeLevel3Id": 1,
          "Selected": true,
          "OrderDescription": "sample string 10",
          "ValidFlag": true,
          "DateCreated": "2026-08-04T02:10:02.1509755-07:00",
          "DateUpdated": "2026-08-04T02:10:02.1509755-07:00",
          "UserIDCreated": 14,
          "UserIDUpdated": 15
        },
        {
          "Id": 1,
          "ComponentId": 2,
          "ComponentName": "sample string 3",
          "Sequence": 4,
          "CaseNo": 5,
          "IsAuthorizationEnable": true,
          "AuthorizationType": 7,
          "MappingId": 1,
          "RecordId": "653396a5-5aa6-4d42-a093-ea38ba67b0de",
          "OrderCategoryTypeId": 1,
          "OrderCategoryTypeLevel1Id": "sample string 8",
          "OrderCategoryTypeLevel2Id": 1,
          "OrderCategoryTypeLevel3Id": 1,
          "Selected": true,
          "OrderDescription": "sample string 10",
          "ValidFlag": true,
          "DateCreated": "2026-08-04T02:10:02.1509755-07:00",
          "DateUpdated": "2026-08-04T02:10:02.1509755-07:00",
          "UserIDCreated": 14,
          "UserIDUpdated": 15
        }
      ]
    }
  ],
  "totalCount": 3
}